wmmoonclock (1.30-4) unstable; urgency=medium

  * d/patches: add patch to fix pre-ANSI function declarations
    (Closes: #1098106)

 -- Jeremy Sowden <azazel@debian.org>  Thu, 27 Feb 2025 21:06:47 +0000

wmmoonclock (1.30-3) unstable; urgency=medium

  * d/control
    + update my e-mail address
    + bump Standards-Version to 4.7.0
    + replace pkg-config build-dep with pkgconf
  * d/patches: add patch to correct types of pointers passed to `gmtime(3)`
    (Closes: #1091282)

 -- Jeremy Sowden <azazel@debian.org>  Tue, 24 Dec 2024 16:28:17 +0000

wmmoonclock (1.30-2) unstable; urgency=medium

  * debian/control
    - Update Maintainer email address to use tracker.d.o.
    - Bump debhelper compatibility level to 13.
    - Bump Standards-Version to 4.6.0.
  * debian/copyright
    - Add myself to copyright holders for debian/*.
  * debian/salsa-ci.yml
    - Add Salsa pipeline config file.
  * debian/upstream/metadata
    - Add DEP-12 upstream metadata file.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 18 Oct 2021 05:35:31 -0400

wmmoonclock (1.30-1) unstable; urgency=medium

  [ Doug Torrance ]
  * Update Vcs-* after migration to Salsa.

  [ Jeremy Sowden ]
  * New upstream version 1.30.
    - fixes GCC-10 FTBFS (closes: #957950).
  * Add myself to uploaders.
  * Bump Standards-Version to 4.5.0.
  * Bumped compat to 12 and replaced d/compat with b-d on debhelper-compat.
  * Add Rules-requires-root: no.
  * Add hardening to d/rules.
  * Update d/watch URL to https.
  * Remove upstreamed typo patch.
  * Update Upstream-Contact.

  [ Andreas Metzler ]
  * Also use https in control/Homepage and copyright/Source fields.

 -- Jeremy Sowden <jeremy@azazel.net>  Thu, 23 Apr 2020 14:36:00 +0100

wmmoonclock (1.29-1) unstable; urgency=medium

  * New maintainer (Closes: #866849).
  * New upstream release.
  * debian/compat
    - Bump debhelper compatibility level to 10.
  * debian/control
    - Bump versioned dependency on debhelper to >= 10.
    - Bump Standards-Version to 4.0.1.
    - Update Homepage and Vcs-*.
    - Revise Description.
    - Sort entries with wrap-and-sort.
    - Add pkg-config to Build-Depends.
  * debian/copyright
    - Update Format, Upstream-Contact, and Source.
  * debian/docs
    - New file; install documentation.
  * debian/links
    - New file; link the manpage so that it matches the name of the
      executable.
  * debian/patches/fix-typo.patch
    - New patch; fix typo.
  * debian/README.Debian
    - Remove blurb about deprecated Debian menu.
  * debian/rules
    - Remove old override targets; no longer necessary.
  * debian/wmmoonclock.manpages
    - Remove file; no longer necessary.
  * debian/watch
    - Update with new download location.
  * debian/wmmoonclock.menu
    - Remove file; the Debian menu has been deprecated.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 14 Aug 2017 20:43:53 -0400

wmmoonclock (1.28+20120605-1) unstable; urgency=low

  * New upstream release (from git).
    - Updates the FSF address only, no code changes.
  * debian/control
    * Updated maintainer email address from kix@kix.es to kix@debian.org.
    * Bump Standards-Version to 3.9.4.
    * Debhelper compatibility bumped to 9.
    * Added Vcs-Git and Vcs-Browser fields.
    * Added Homepage field.
  * debian/rules
    * Added DEB_CFLAGS_MAINT_APPEND for Hardening.

 -- Rodolfo García Peñas (kix) <kix@debian.org>  Sun, 21 Jul 2013 16:00:57 +0200

wmmoonclock (1.28-1) unstable; urgency=low

  * New upstream version 1.28 (debian patches are now in upstream)
    * Solves the problem: fix build with ld --as-needed [Closes: #647512]

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Tue, 20 Sep 2011 11:14:33 +0200

wmmoonclock (1.27-30) unstable; urgency=low

  * New maintainer (Closes: #588837)
  * Standard version is now 3.9.2
    * Package is now lintian clean
    * new wmmoonclock.{manpages, menu} files
  * Added text info about upstream version in watch
  * debian/copyright is now DEP-5
  * debian/patches are now DEP-3

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Sun, 7 Aug 2011 15:41:54 +0200

wmmoonclock (1.27-29) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump standards version to 3.8.4.
  * Add ${misc:Depends} to the binary dependencies.
  * Allow Debian maintainers uploads.

 -- Denis Briand <denis@narcan.fr>  Sun, 14 Mar 2010 18:30:16 +0100

wmmoonclock (1.27-28) unstable; urgency=low

  * Add southern hemisphere support (Closes: #537480).
    Thanks to Alvaro Steiger.
  * Bump standards version to 3.8.2.0
  * Add quilt patch system.
  * Add patches:
    + 01_all_previous_diff.diff
    + 02_update_time.diff
    + 03_add_southern_hemisphere_support.diff
    + 04_fix_hyphen_used_as_minus_sign.diff
  * Add debhelper 7 build depends.
  * Add debian/compat file.
  * Remove trailing whitespaces in changelog.upstream.
  * Add an empty watch file (no upstream repository).
  * Improve rules file by using more debhelper commands.
  * Remove Martin A. Godisch from uploaders field
    Thanks to him to have sponsored wmmoonclock.

 -- Denis Briand <denis@narcan.fr>  Sun, 26 Jul 2009 10:30:00 +0200

wmmoonclock (1.27-27) unstable; urgency=low

  * Add co-maintainer Martin A. Godisch.
  * Fix versionless symlink license in debian/copyright

 -- Denis Briand <denis@narcan.fr>  Fri, 10 Apr 2009 18:43:04 +0200

wmmoonclock (1.27-26) unstable; urgency=low

  * New maintainer, closes: #455542.
  * ajusted nMax values, closes: #479229.
    Thanks to Joerg Dietrich
  * Updated standards version to 3.8.1

 -- Denis Briand <denis@narcan.fr>  Fri, 20 Mar 2009 17:32:50 +0100

wmmoonclock (1.27-25) unstable; urgency=low

  * Removed db_purge in postrm, see: #502521.
    Thanks to Cesare Tirabassi.
  * Fixed copyright file.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 26 Oct 2008 10:02:17 +0100

wmmoonclock (1.27-24) unstable; urgency=low

  * Enhanced display refresh rate, closes: #446680.
    Thanks to Peter Colberg.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 10 Dec 2007 18:25:50 +0100

wmmoonclock (1.27-23) unstable; urgency=low

  * Changed display refresh rate to 100 ms, closes: #440406.
  * Updated menu section.
  * Fixed distclean target.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 07 Oct 2007 09:22:20 +0200

wmmoonclock (1.27-22) unstable; urgency=low

  * Fixed postrm, closes: #417144.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 01 Apr 2007 19:30:02 +0200

wmmoonclock (1.27-21) unstable; urgency=low

  * Removed debconf, added README.Debian, closes: #375082, #414244.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 25 Mar 2007 10:40:39 +0200

wmmoonclock (1.27-20) unstable; urgency=low

  * Updated Japanese debconf translation, closes: #411269.
    Thanks to Hideki Yamane.
  * Updated Spanish debconf translation, closes: #411803.
    Thanks to Carlos Alberto.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 24 Feb 2007 07:17:14 +0100

wmmoonclock (1.27-19) unstable; urgency=low

  * Updated French debconf translation, closes: #410941.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 17 Feb 2007 06:30:25 +0100

wmmoonclock (1.27-18) unstable; urgency=low

  * Updated French debconf translation, closes: #410429.
    Thanks to Christian Perrier.
  * Updated Czech debconf translation, closes: #410532.
    Thanks to Miroslav Kure.
  * Updated Portuguese debconf translation, closes: #410455.
    Thanks to Miguel Figueiredo.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 13 Feb 2007 19:05:57 +0100

wmmoonclock (1.27-17) unstable; urgency=low

  * Added Nederlands debconf translation, closes: #375079.
    Thanks to Esther Hanko.
  * Fixed longitude/latitude information URL, closes: #401872.
    Thanks to Jacopo.
  * Added Portuguese debconf translation, closes: #408811.
    Thanks to Miguel Figueiredo.
  * Updated German debconf translation.
  * Updated debian files, fixed timestamps.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 09 Feb 2007 19:54:30 +0100

wmmoonclock (1.27-16) unstable; urgency=low

  * Updated build-dependencies according to xlibs-dev transition.

 -- Martin A. Godisch <godisch@debian.org>  Wed, 30 Nov 2005 19:12:10 +0100

wmmoonclock (1.27-15) unstable; urgency=low

  * Added Vietnamese debconf translation, closes: #324132.
    Thanks to Clytie Siddall.
  * Added Swedish debconf translation, closes: #331189.
    Thanks to Daniel Nylander.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Wed, 05 Oct 2005 19:42:45 +0200

wmmoonclock (1.27-14) unstable; urgency=low

  * Added Czech debconf translation, closes: #294733.
    Thanks to Miroslav Kure.
  * Fixed POSIX compliance of debian/rules.
  * Removed watch file, upstream homepage is gone.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 11 Feb 2005 22:17:45 +0100

wmmoonclock (1.27-13) unstable; urgency=low

  * Added Japanese debconf translation, closes: #236820.
    Thanks to Hideki Yamane.
  * Removed ucf/debconf and lintian workarounds.
  * Updated debian/menu, debian/rules, and standards version.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 08 Mar 2004 16:41:48 +0100

wmmoonclock (1.27-12) unstable; urgency=low

  * Added Spanish debconf translation, closes: #201004.
    Thanks to Carlos Alberto Martín Edo.
  * Simplified ucf handling, see bug #199233, adjusted ucf dependency.
  * Removed useless BUGS file.
  * Converted debian/changelog to UTF-8.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 27 Jul 2003 15:57:02 +0200

wmmoonclock (1.27-11) unstable; urgency=low

  * Improved ucf transition.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 29 Jun 2003 10:24:05 +0200

wmmoonclock (1.27-10) unstable; urgency=low

  * Updated deb'configuration, added ucf support.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 27 Jun 2003 07:12:15 +0200

wmmoonclock (1.27-9) unstable; urgency=low

  * Updated deb'configuration, closes: #185206.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 30 May 2003 18:39:00 +0200

wmmoonclock (1.27-8) unstable; urgency=low

  * Added french debconf translation, closes: #189226.
    Thanks to Christian Perrier.
  * Updated configuration.

 -- Martin A. Godisch <godisch@debian.org>  Thu, 03 Apr 2003 16:26:10 +0200

wmmoonclock (1.27-7) unstable; urgency=low

  * Added portuguese debconf translation, closes: #185686.
    Thanks to André Luís Lopes.
  * Improved debconf template, closes: #185710.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 22 Mar 2003 07:33:12 +0100

wmmoonclock (1.27-6) unstable; urgency=low

  * Transition to po-debconf, updated build-dependencies.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 14 Mar 2003 08:09:40 +0100

wmmoonclock (1.27-5) unstable; urgency=low

  * New maintainer upload, closes: #170232, #182936.
  * Fixed lots of compiler warnings.
  * Added debconf'iguration for latitude and longitude.
  * Removed build-dependency on debhelper, debian/ cleanup.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 01 Mar 2003 10:39:32 +0100

wmmoonclock (1.27-4) unstable; urgency=low

  * Recompile against newer libxpm (closes: #67953)

 -- Adam Klein <aklein@debian.org>  Sun, 30 Jul 2000 15:51:47 -0700

wmmoonclock (1.27-3) unstable; urgency=low

  * Now FHS compliant; Standards-Version 3.0.1

 -- Adam Klein <aklein@debian.org>  Mon,  6 Sep 1999 09:34:16 -0700

wmmoonclock (1.27-2) unstable; urgency=low

  * Extracted TODO and ChangeLog files from wmMoonClock.c (closes: #41431)

 -- Adam Klein <aklein@debian.org>  Fri, 16 Jul 1999 17:44:55 -0700

wmmoonclock (1.27-1) unstable; urgency=low

  * New upstream bugfix release

 -- Adam Klein <aklein@debian.org>  Mon,  7 Jun 1999 22:17:31 -0700

wmmoonclock (1.26-1) unstable; urgency=low

  * New upstream release (closes: Bug#36532)

 -- Adam Klein <aklein@debian.org>  Thu, 22 Apr 1999 23:01:29 -0700

wmmoonclock (1.25-1) unstable; urgency=low

  * New upstream release
  * The author removed the binary from the tarball, so it's now pristine source

 -- Adam Klein <aklein@debian.org>  Thu,  1 Apr 1999 07:05:39 -0800

wmmoonclock (1.24-1) unstable; urgency=low

  * New upstream release
  * Now supports 8-bit color when run with the -low switch (closes: #31560)
  * Removed README.debian

 -- Adam Klein <aklein@debian.org>  Thu, 25 Feb 1999 15:13:13 -0800

wmmoonclock (1.1-1) unstable; urgency=low

  * Initial Release.

 -- Adam Klein <aklein@debian.org>  Thu, 24 Dec 1998 23:27:25 -0800
